//
//  YCKAudioDeviceVolumeDelegate.h
//
//  Created by zhangjianshi on 2020/8/14.
//

#pragma once

#include <memory>

#ifdef SDK_SIMPLE_INCLUDE
#include "YCKitExport.h"
#else
#include <YCKit/YCKitExport.h>
#endif

class DLL_DECL YCKAudioDeviceVolumeDelegate
{
public:
	virtual ~YCKAudioDeviceVolumeDelegate() = default;

	void init(int frame_rate, int call_back_rate);
	void init(int output_frequency);

	virtual void onVolmue(int volume) = 0;

	int getVolume() { return m_volume; }

	void setAudioFrameVolume(char* data, int data_length);
private:
	int m_count = 0;
	int m_volume = 0;
	int m_output_frequency = 10;
};
